'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0d11c3e5.js');

/*
 Stencil Client Patch Esm v2.13.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (!(index.CSS && index.CSS.supports && index.CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return Promise.resolve().then(function () { return require(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-b3e497ca.js'); }).then(() => {
            if ((index.plt.$cssShim$ = index.win.__cssshim)) {
                return index.plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["pe-button_9.cjs",[[1,"pe-review-studio",{"mobileVideoUris":[1032,"mobile-video-uris"],"screenshareVideoUris":[1032,"screenshare-video-uris"],"webcamVideoUris":[1032,"webcam-video-uris"],"isFullscreen":[32],"activeTab":[32],"content":[32],"breachDictionaryItems":[32]},[[0,"peVideoFullscreen","peVideoFullscreenHandler"]]],[1,"pe-video-player",{"mobileVideoUris":[1032,"mobile-video-uris"],"screenshareVideoUris":[1032,"screenshare-video-uris"],"webcamVideoUris":[1032,"webcam-video-uris"],"debugEnabled":[32],"isPreparing":[32],"eventSourceStream":[32],"isPlaying":[32],"isBusy":[32],"isMuted":[32],"isFullscreen":[32],"canMobileVideoPlayThrough":[32],"canScreenshareVideoPlayThrough":[32],"canWebcamVideoPlayThrough":[32],"playbackRate":[32],"currentTime":[32],"totalDuration":[32],"videoDurations":[32],"mobileVideoIndex":[32],"screenshareVideoIndex":[32],"webcamVideoIndex":[32],"mobileVideoDurations":[32],"screenshareVideoDurations":[32],"webcamVideoDurations":[32],"mobileVideoStartTimes":[32],"screenshareVideoStartTimes":[32],"webcamVideoStartTimes":[32],"setCurrentTime":[64],"getCurrentTime":[64]},[[0,"peVideoOnWaiting","peVideoOnWaitingHandler"],[0,"peVideoSourceChanged","peVideoSourceChangedHandler"],[0,"peVideoCanPlayThrough","peVideoCanPlayThroughHandler"],[0,"peVideoPlay","peVideoPlayHandler"],[0,"peVideoRewind","peVideoRewindHandler"],[0,"peVideoMute","peVideoMuteHandler"],[0,"peVideoSpeed","peVideoSpeedHandler"],[0,"peVideoEnded","peVideoEndedHandler"],[0,"peVideoTimeUpdate","peVideoTimeUpdateHandler"],[0,"peVideoLoadedData","peVideoLoadedDataHandler"],[0,"peVideoSeek","peVideoSeekHandler"],[0,"peVideoFullscreen","peVideoFullscreenHandler"],[0,"peVideoClick","peVideoClickHandler"]]],[1,"pe-incident-list",{"incidentList":[1040],"handleEdit":[1040],"jumptoIncidentTime":[1040]}],[1,"pe-navbar"],[1,"pe-video-controls",{"isFullscreen":[1028,"is-fullscreen"],"currentTime":[1026,"current-time"],"totalDuration":[1026,"total-duration"],"availableSpeeds":[1040],"speedIndex":[32],"isMuted":[32],"isPlaying":[32]},[[8,"fullscreenchange","fullscreenchangeHandler"]]],[1,"pe-debug-panel",{"content":[1032],"isMouseDown":[32],"currentX":[32],"currentY":[32],"initialX":[32],"initialY":[32],"xOffset":[32],"yOffset":[32],"height":[32],"width":[32]}],[1,"pe-video",{"name":[513],"source":[1025],"tag":[1],"isEventSource":[1028,"is-event-source"],"isPlaying":[1540,"is-playing"],"isMuted":[1028,"is-muted"],"playbackRate":[1026,"playback-rate"],"seek":[64],"setCurrentTime":[64]}],[1,"pe-button",{"disabled":[1540],"iconOnly":[1540,"icon-only"],"circled":[1540],"variant":[1537],"color":[1537],"size":[1537],"class":[1537],"text":[1537],"iconName":[1537,"icon-name"],"iconState":[32]}],[1,"pe-icon",{"name":[1537]}]]],["pe-icons-list.cjs",[[1,"pe-icons-list"]]],["pe-typography.cjs",[[1,"pe-typography",{"tag":[1537],"type":[1537],"weight":[1537],"size":[1537],"spacing":[1537]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
