import { Component, Host, h } from '@stencil/core';
import { iconsList } from './icons-list';
export class PeIconsList {
  render() {
    const sortedIcons = iconsList.sort((a, b) => a !== b ? (a < b ? -1 : 1) : 0);
    return (h(Host, null, sortedIcons.map(iconName => (h("div", { class: "iconContainer" },
      h("pe-icon", { class: "icon", name: iconName }),
      h("code", null,
        iconName,
        " "))))));
  }
  static get is() { return "pe-icons-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["pe-icons-list.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["pe-icons-list.css"]
  }; }
}
