export declare class PeButton {
  /**
   * enable/disable a button
   */
  disabled: boolean;
  /**
   * pass this if empty button to show button in best style shape
   */
  iconOnly: boolean;
  /**
   * changing the look to a button
   */
  circled: boolean;
  /**
   * varients
   */
  variant: 'filled' | 'outline' | 'ghost';
  /**
   * colors
   */
  color: 'primary' | 'basic' | 'action' | 'player';
  /**
   * size
   */
  size: 'normal' | 'large';
  /**
   * pass extra class if you want to do extra style
   */
  class?: string;
  /**
   * button text to overide what pass as a child to the <slot>
   */
  text?: string;
  /**
   * watching the icon change, in case you toggole of a button and want to change the inner icon
   */
  iconState: string;
  /**
   * add icon to the button
   */
  iconName: string;
  iconNameChanged(newIconName: string): void;
  componentWillLoad(): void;
  render(): any;
}
