export declare class PeDebugPanel {
  private draggableElement;
  isMouseDown: boolean;
  currentX: number;
  currentY: number;
  initialX: number;
  initialY: number;
  xOffset: number;
  yOffset: number;
  height: number;
  width: number;
  /**
   * Content that will be rendered in debug panel.
   * Each key rendered in a new row.
   * { exampleKey: [1,2,3,4] }
   */
  content: any;
  handleContentChanged(newValue: any): void;
  private handleMouseDown;
  private handleMouseMove;
  private handleMouseUp;
  private handleClose;
  private setTranslate;
  connectedCallback(): void;
  componentDidLoad(): void;
  render(): any;
}
