export declare class PeTypography {
  el: HTMLPeTypographyElement;
  /**
   * Tag name to render the typography inside
   */
  tag?: string;
  /**
   * Font type
   */
  type?: 'display' | 'headline' | 'title' | 'label' | 'body';
  /**
   * Font weight
   */
  weight?: 'w-normal' | 'w-medium' | 'w-semibold';
  /**
   * Font Size
   */
  size?: 'large' | 'medium' | 'small';
  /**
   * Letter-spacing
   */
  spacing?: 'letter-spacing-neg-2' | 'letter-spacing-neg-1' | 'letter-spacing-normal' | 'letter-spacing-1' | 'letter-spacing-2';
  componentDidRender(): Promise<void>;
  render(): any;
}
