export declare class PeReviewStudio {
  connectedCallback(): void;
  isFullscreen: boolean;
  /**
   * Uri(s) for mobile video source(s).
   */
  mobileVideoUris: any;
  mobileVideoUrisChanged(newValue: any): void;
  /**
   * Uri(s) for screenshare video source(s).
   */
  screenshareVideoUris: any;
  screenshareVideoUrisChanged(newValue: any): void;
  /**
   * Uri(s) for webcam video source(s).
   */
  webcamVideoUris: any;
  webcamVideoUrisChanged(newValue: any): void;
  /**
   * changing the active Tab
   */
  activeTab: 'incident' | 'info' | 'shortcuts' | 'help';
  peVideoFullscreenHandler(event: CustomEvent): void;
  private changeTab;
  private setCurrentTime;
  private editIncident;
  /**
   * incident List content
   */
  content: object[];
  /**
   * breachDictionaryItems
   */
  breachDictionaryItems: object[];
  componentWillLoad(): Promise<void>;
  render(): any;
}
